/* File ELI_ECOA__deserialiser.h */

#include "ECOA.h"

void deserialise_ECOA__boolean8(unsigned char **bufferptr, ECOA__boolean8 *data);
void deserialise_ECOA__int8(unsigned char **bufferptr, ECOA__int8 *data);
void deserialise_ECOA__char8(unsigned char **bufferptr, ECOA__char8 *data);
void deserialise_ECOA__byte(unsigned char **bufferptr, ECOA__byte *data);
void deserialise_ECOA__int16(unsigned char **bufferptr, ECOA__int16 *data);
void deserialise_ECOA__int32(unsigned char **bufferptr, ECOA__int32 *data);
#if defined(ECOA_64BIT_SUPPORT)
void deserialise_ECOA__int64(unsigned char **bufferptr, ECOA__int64 *data);
#endif
void deserialise_ECOA__uint8(unsigned char **bufferptr, ECOA__uint8 *data);
void deserialise_ECOA__uint16(unsigned char **bufferptr, ECOA__uint16 *data);
void deserialise_ECOA__uint32(unsigned char **bufferptr, ECOA__uint32 *data);
#if defined(ECOA_64BIT_SUPPORT)
void deserialise_ECOA__uint64(unsigned char **bufferptr, ECOA__uint64 *data);
#endif
void deserialise_ECOA__float32(unsigned char **bufferptr, ECOA__float32 *data);
void deserialise_ECOA__double64(unsigned char **bufferptr, ECOA__double64 *data);
void deserialise_ECOA__return_status(unsigned char **bufferptr, ECOA__return_status *data);
void deserialise_ECOA__hr_time(unsigned char **bufferptr, ECOA__hr_time *data);
void deserialise_ECOA__global_time(unsigned char **bufferptr, ECOA__global_time *data);
void deserialise_ECOA__duration(unsigned char **bufferptr, ECOA__duration *data);
void deserialise_ECOA__log(unsigned char **bufferptr, ECOA__log *data);
void deserialise_ECOA__error_id(unsigned char **bufferptr, ECOA__error_id *data);
void deserialise_ECOA__error_type(unsigned char **bufferptr, ECOA__error_type *data);
void deserialise_ECOA__asset_id(unsigned char **bufferptr, ECOA__asset_id *data);
void deserialise_ECOA__asset_type(unsigned char **bufferptr, ECOA__asset_type *data);
void deserialise_ECOA__recovery_action_type(unsigned char **bufferptr, ECOA__recovery_action_type *data);
void deserialise_ECOA__pinfo_filename(unsigned char **bufferptr, ECOA__pinfo_filename *data);
void deserialise_ECOA__seek_whence_type(unsigned char **bufferptr, ECOA__seek_whence_type *data);

